openSUSE 安全更新:apache2 (openSUSE-SU-2012:0248-1)

medium Nessus 插件 ID 75427
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 openSUSE 主机缺少安全更新。

描述

此更新修复了 Apache2 webserver 中的多种安全问题。

CVE-2011-3368、CVE-2011-4317:此更新还包括多个通过 RewriteRule 或 ProxyPassMatch 指令执行的 mod_proxy 反向暴露的多个补丁。

CVE-2011-3607:ap_pregsub 函数中的整数溢出导致的基于堆的缓冲区溢出可能允许本地攻击者获取权限。

此外,还执行了以下变更:

- 新模板文件:
/etc/apache2/vhosts.d/vhost-ssl.template 只允许 TLSv1,浏览器匹配资料被注释掉。

- rc 脚本 /etc/init.d/apache2:只通过发送到 stdout 的消息使用被删除的二进制文件处理重新加载,但不发送信号。

- httpd-2.2.x-bnc727071-mod_authnz_ldap-utf8.diff:使非 ascii(例如 UTF8)密码用于 mod_authnz_ldap。
[bnc#727071]

解决方案

更新受影响的 apache2 程序包。

另见

https://bugzilla.novell.com/show_bug.cgi?id=722545

https://bugzilla.novell.com/show_bug.cgi?id=727071

https://bugzilla.novell.com/show_bug.cgi?id=729181

https://lists.opensuse.org/opensuse-updates/2012-02/msg00044.html

插件详情

严重性: Medium

ID: 75427

文件名: suse_11_3_apache2-111205.nasl

版本: 1.8

类型: local

代理: unix

发布时间: 2014/6/13

最近更新时间: 2021/1/14

依存关系: ssh_get_info.nasl

风险信息

VPR

风险因素: Medium

分数: 6.3

CVSS v2

风险因素: Medium

基本分数: 5

时间分数: 3.9

矢量: AV:N/AC:L/Au:N/C:P/I:N/A:N

时间矢量: E:POC/RL:OF/RC:C

漏洞信息

CPE: p-cpe:/a:novell:opensuse:apache2, p-cpe:/a:novell:opensuse:apache2-devel, p-cpe:/a:novell:opensuse:apache2-example-certificates, p-cpe:/a:novell:opensuse:apache2-example-pages, p-cpe:/a:novell:opensuse:apache2-itk, p-cpe:/a:novell:opensuse:apache2-prefork, p-cpe:/a:novell:opensuse:apache2-utils, p-cpe:/a:novell:opensuse:apache2-worker, cpe:/o:novell:opensuse:11.3

必需的 KB 项: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

可利用: true

易利用性: Exploits are available

补丁发布日期: 2011/12/5

参考资料信息

CVE: CVE-2011-3368, CVE-2011-3607, CVE-2011-4317